CHICKEN-SETUP(1)

NAME
chicken-setup - program to simplify building and installation of extension libraries for the CHICKEN Scheme system.

SYNOPSIS
chicken-setup [ option ] [ extension ]

DESCRIPTION
chicken-setup is a program that compiles and installs a prepackaged extension library. Extension libraries are either plain Scheme files with the .scm file-extension or gzipped tar files with the file-extension .egg Single Scheme files are compiled into a dynamically loadable file and installed in the extension repository. More complex installation procedures can be performed by packaging an extension in an .egg archive, that in addition to the source files contains a Scheme script of the same name as the library, but with the .setup file-extension. After extracting the files the setup script will be loaded and executed. chicken-setup is a full Scheme interpreter with the same functionality as csi but with a number of additional procedures and macros to simplify the building and installation of extension libraries. See the Chicken manual for more information.

OPTIONS

-help
    Show usage information and exit.

-version
    Display version and exit.

-repository
    Displays the name of the extension repository.

-repository directory
    Sets the location of the extension repository for all subsequent operations. The default repository path is the installation library directory (usually usrlocallibchicken , or (if set) the directory given in the environment variable CHICKEN_REPOSITORY

-program-path
    Display the path where executables are installed.

-program-path directory
    Sets the location where executables are installed.

-host hostname:port
    Specifies alternative host for downloading extensions. port may be omitted and defaults to 80.

-proxy hostname:port
    Connect to server via proxy. port may be omitted and defaults to 80.

-uninstall extension
    Removes extension from repository.

-list
    List all installed extensions and exit.

-run filename
    Load and execute given file.

-script filename
    Executes the given Scheme source file with all remaining arguments and exit.

-fetch
    Only download, don't extract, build or install.

-verbose
    Display additional information (mainly for debugging).

-keep
    Keep temporary files and directories.

-dont-ask
    Do not ask the user before trying to download required extensions.

-no-install
    Do not install generated binaries and/or support files. Any invocations of install-program , install-extension or install-script will be be no-ops.

-csc-optionoption
    Passes option as an extra argument to invocations of the compiler-driver ( csc ). This works only if csc is invoked as (run (csc ...))

-dont-ask
    Do not ask the user before trying to download required extensions.

--  Ignore all further arguments.

BUGS
Submit bug reports by e-mail to felix@call-with-current-continuation.org

AUTHOR
chicken-setup was written by Felix L. Winkelmann (felix@call-with-current-continuation.org).

SEE ALSO
chicken(1) chicken-config(1) csc(1)